Skip to main content
POST
/
companies
/
research
curl --request POST \ --url https://api.seamless.ai/api/client/v1/companies/research \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "searchResultIds": [ "cmp_sr_01J8YQ4FXZQ6N5G2T3A7BC9D1E", "cmp_sr_01J8YQ5F95Y0M4R7J8N1P2Q3R4" ], "companies": [ { "domain": "seamless.ai", "companyName": "Seamless.AI" }, { "domain": "openai.com" } ] } '
{
  "success": true,
  "requestIds": [
    "8T7LmzqW2Q6hA19",
    "Ka2nQ9L3pR4vD1F"
  ]
}
{
  "message": "<string>"
}
{
  "msg": "<string>",
  "code": "<string>",
  "data": {
    "productCategory": "<string>",
    "additionalCreditsNeeded": 123
  }
}
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
searchResultIds
string[]

Company search result IDs returned from /search/companies that you want to enrich.

Maximum array length: 100
Example:
["cmp_sr_01J8YQ4FXZQ6N5G2T3A7BC9D1E"]
companies
object[]

Companies to enrich directly without running search first. Each item must include at least one identifier:

  • domain
  • companyName
Maximum array length: 100
Example:
[
  {
    "domain": "seamless.ai",
    "companyName": "Seamless.AI"
  }
]
skipDeduplicationCheck
boolean
default:false

When true, research will not check for duplicate records that you already researched recently, and perform a research (which can result in credit usage)

Response

The request IDs for research

success
boolean

Indicates whether the request was accepted successfully.

Example:

true

requestIds
string[]

Request identifiers for each submitted company research job.

Example:
["8T7LmzqW2Q6hA19", "Ka2nQ9L3pR4vD1F"]